* {
    font-family: 'Inter', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


body {
    background: white;
}

.page-1 {
    position: relative;
    height: 100vh;
    overflow: hidden;
    box-sizing: border-box;
}

.page-1 .verilink-header {
    position: relative;
    height: 80px;
    padding-inline: 9%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 3;
    background: white;
}

.page-1 .verilink-header .btns-section {
    display: flex;
    gap: 8px;
}

.page-1 .verilink-header .btns-section .btn {
    font-size: 1.1rem;
    border-radius: 12px;
    background-color: #4472C4;
    color: white;
    border: none;
    padding: 8px 26px;
    cursor: pointer;
    transition: background-color 0.3s, transform 0.2s;
}

.page-1 .verilink-header .btns-section .btn:hover{
    background-color: #0056b3;
    transform: translateY(-2px); 
}

.page-1 .verilink-header .btns-section .btn:focus {
    outline: none;
    box-shadow: 0 0 0 3px rgba(0, 123, 255, 0.5);
}

.page-1 .bg-img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.6;
    z-index: 1;
}

.page-1 .info {
    height: calc(100% - 80px);
    position: relative;
    z-index: 2;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding-inline: 9%;

}

.page-1 .info .sub-info {
    font-weight: 500;
    font-size: 2.25rem;
    margin-top: 30px;
}

/* .page-1 .get-started,
.page-1 .learn-more {
    height: 84px;
    width: 508px;
    border-radius: 24px;
    font-size: 1.875rem;
    box-sizing: border-box;
    cursor: pointer;
}

.page-1 .get-started:hover{
    background-color: #0056b3;
    transform: translateY(-2px); 
}
.page-1 .learn-more:hover{
    transform: translateY(-2px); 
}

.page-1 .get-started:focus{
    outline: none;
    box-shadow: 0 0 0 3px rgba(0, 123, 255, 0.5);
}
.page-1 .learn-more:focus{
    outline: none;
    box-shadow: 0 0 0 3px rgba(0, 123, 255, 0.5);
}

.page-1 .get-started {
    margin-top: 70px;
    background: #4472C4;
    color: white;
    border: none;
}

.page-1 .learn-more {
    margin-top: 22px;
    color: #4472C4;
    border: 1px solid #4472C4;
} */

.page-1 .verilink-header .btns-section .btn:focus {
    outline: none;
    box-shadow: 0 0 0 3px rgba(0, 123, 255, 0.5);
}
.page-1 .verilink-header .btns-section .btn:focus {
    outline: none;
    box-shadow: 0 0 0 3px rgba(0, 123, 255, 0.5);
}

.page-1::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(247, 247, 247, 0.6);
    z-index: 2;
}


/* Popup styling */
.popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1000;
}

.popup .popup-content {
    background-color: white;
    width: 65%;
    /* height: 80%; */
    padding: 2% 2%;
    margin: 5% auto; /* Centers the popup */
    border-radius: 8px;
    position: relative;
    box-sizing: border-box;
    display: flex;
    flex-grow: 1;
    overflow-y: auto; 
}
.popup .popup-content .img{
    width: 45%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}
.popup .popup-content .img img {
    object-fit: cover;
}

.popup .popup-content .form{
    width: 55%;
    height: fit-content;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.popup .popup-content .form .head{
    font-weight: 700;
    font-size: 1.75rem;
}
.popup .popup-content .form .sub-head{
    font-weight: 500;
    font-size: 1.1rem;
    margin-top: 10px;
    margin-bottom: 16px;
}
.popup .popup-content .form label{
    display: block;
    margin-top: 10px;
    margin-bottom: 5px;
    font-size: 0.8rem;
    /* font-size: 22px; */
}
.popup .popup-content .form input{
    width: 100%;
    padding: 10px;
    outline: none;
    background: #F5F7F9;
    border-radius: 10px;
    border: 1px solid #DADFE4;
}
.popup .popup-content .form input:focus {
    border-color: #C4C9CE; 
}

.popup .popup-content .form textarea{
    resize: none;
    width: 100%;
    padding: 10px;
    border: 1px solid #DADFE4;
    outline: none;
    background: #F5F7F9;
    border-radius: 10px;
}
.popup .popup-content .form textarea:focus{
    border-color: #C4C9CE;
}

.popup .popup-content .form .submit-form{
    width: 100%;
    padding: 14px 10px;
    border: none;
    margin-top: 10px;
    border-radius: 10px;
}

.popup .popup-content .form .submit-form:enabled{
    background: #4472C4;
    color: white;
    cursor: pointer;
}

.close-btn, .close-btn2 {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
    font-size: 20px;
}

.close-btn:hover, .close-btn2:hover {
    transform: scale(1.5);
}

.page-2 {
    position: relative;
    min-height: 100vh;
    overflow: hidden;
    padding: 40px 9%;
    box-sizing: border-box;
}

.page-2 .my-cards-1 {
    position: relative;
    z-index: 2;
}

.page-2 .my-cards-1 .cards-container {
    margin-top: 42px;
    display: flex;
    flex-wrap: wrap;
    gap: 70px;
}

.page-2 .my-cards-1 .cards-container .card {
    flex: 1;
    /* min-width: 300px; */
    /* max-width: 350px; */
    width: 100%;
    min-height: 300px;

    border-radius: 24px;
}

.page-2 .my-cards-1 .cards-container .card .card-img {
    height: 85%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.page-2 .my-cards-1 .cards-container .card .card-info {
    height: 15%;
    display: flex;
    align-items: end;
    font-weight: 500;
    font-size: 1.375rem;
}

.page-2 .my-cards-2 {
    margin-top: 80px;
    position: relative;
    z-index: 2;
}

.page-2 .my-cards-2 .cards-container {
    display: flex;
    flex-wrap: wrap;
    gap: 40px;
    margin-top: 20px;
    transition: transform 0.5s ease-in-out;
}

.page-2 .my-cards-2 .cards-container .card {
    /* min-width: 250px; */
    /* max-width: 350px; */
    width: 100%;
    /* min-height: 376px; */
    padding: 10px;
    border-radius: 24px;
    text-align: center;
    flex-shrink: 0;
    /* Prevent shrinking of the cards */
    cursor: pointer;
    flex: 1;
    transition: transform 0.3s;
    padding: 50px 0px 50px 0px;
}

.page-2 .my-cards-2 .cards-container .card:hover {
    transform: scale(1.05);
}


.page-2 .my-cards-2 .cards-container .card .card-img {
    height: 50%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin:10px 0px 10px 0px;
}
.page-2 .my-cards-2 .cards-container .card .card-img img{
    width: 50%;
}

.page-2 .my-cards-2 .cards-container .card .card-info {
    /* min-width: 200px; */
    /* height: 100%; */
    margin:30px 0px 30px 0px;
}

.page-2 .first-height {
    position: absolute;
    top: 0;
    left: 0;
    height: 42%;
    z-index: 1;
}

.page-2 .bg-img {
    position: absolute;
    top: 42%;
    left: 0;
    width: 100%;
    height: 58%;
    object-fit: cover;
    z-index: 1;
}
/* Popup styling */
.popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1000;
}

.popup .popup-content {
    background-color: white;
    width: 65%;
    height: 80%;
    padding: 2% 2%;
    margin: 5% auto; /* Centers the popup */
    border-radius: 8px;
    position: relative;
    box-sizing: border-box;
    display: flex;
    flex-grow: 1;
    overflow-y: auto; 
}
.popup .popup-content .img{
    width: 45%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}
.popup .popup-content .img img {
    object-fit: cover;
}

.popup .popup-content .form{
    height: fit-content;
    width: 55%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.popup .popup-content .form .head{
    font-weight: 700;
    font-size: 1.75rem;
}
.popup .popup-content .form .sub-head{
    font-weight: 500;
    font-size: 1.1rem;
    margin-top: 4px;
    margin-bottom: 10px;
}
.popup .popup-content .form label{
    display: block;
    margin-top: 10px;
    margin-bottom: 4px;
    font-size: 0.8rem;
    /* font-size: 22px; */
}
.popup .popup-content .form input{
    width: 100%;
    padding: 10px;
    outline: none;
    background: #F5F7F9;
    border-radius: 10px;
    border: 1px solid #DADFE4;
}
.popup .popup-content .form input:focus {
    border-color: #C4C9CE; 
}

.popup .popup-content .form textarea{
    resize: none;
    width: 100%;
    padding: 10px;
    border: 1px solid #DADFE4;
    outline: none;
    background: #F5F7F9;
    border-radius: 10px;
}
.popup .popup-content .form textarea:focus{
    border-color: #C4C9CE;
}

.popup .popup-content .form .submit-form{
    width: 100%;
    padding: 14px 10px;
    border: none;
    margin-top: 10px;
    border-radius: 10px;
}

.popup .popup-content .form .submit-form:enabled{
    background: #4472C4;
    color: white;
    cursor: pointer;
}



.page-3,
.page-4 {
    position: relative;
    height: 100vh;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
}

.page-3 {
    padding: 40px 9% 40px 9%;
}

.page-4 {
    padding: 40px 9% 40px 9%;
}

.page-3 .info-with-images,
.page-4 .info-with-images {
    background: #EAF4F5;
    flex-grow: 1;
    display: flex;
    margin-top: 24px;
    border-radius: 24px;
    overflow: auto;
}

.page-3 .info-with-images .why-info,
.page-4 .info-with-images .why-info{
    height: 100%;
    width: 55%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 38px;
    padding: 26px;
}

.page-3 .info-with-images .image,
.page-4 .info-with-images .image {
    width: 45%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    flex: 1;
    text-align: right;
}

.page-3 .info-with-images .image img,
.page-4 .info-with-images .image img {
    object-fit: cover;
    max-width: 100%;
    height: auto;
}

/* Define animation for fading out and in */
.fade-out {
    opacity: 0;
    transition: opacity 0.5s ease-in-out; /* Smooth fade-out transition */
}

.fade-in {
    opacity: 1;
    transition: opacity 0.5s ease-in-out; /* Smooth fade-in transition */
}



/* Animation for transitions */
@keyframes slide-in {
    from { opacity: 0; transform: translateY(20px); }
    to { opacity: 1; transform: translateY(0); }
}

@keyframes slide-out {
    from { opacity: 1; transform: translateY(0); }
    to { opacity: 0; transform: translateY(-20px); }
}

.modal-content.slide-in {
    animation: slide-in 0.5s forwards;
}

.modal-content.slide-out {
    animation: slide-out 0.5s forwards;
}




/* Common */
.card {
    background: white;
    padding: 21px;
    box-shadow: 0 0 12px 0 rgba(0, 0, 0, 0.25);
}

.info {
    font-weight: 600;
    font-size: 1rem;
}

.sub-info {
    font-size: .9rem;
    margin-top: 10px;
}

.large-font {
    /* font-size: 4.375rem; */
    font-size: 3.75rem;
    font-weight: 700;
    transition: opacity 1s ease-in-out;
}

.page-header {
    font-weight: 600;
    font-size: 2.25rem;
}

img {
    -webkit-user-drag: none; /* Chrome/Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently supported by Chrome, Opera, and Edge */
    pointer-events: none; /* Disable all mouse events on images */
    user-drag: none; /* For some browsers to prevent dragging */
}



/* Popup styling Secondary page*/
.modal-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1000;
}

.modal-overlay .popupModal {
    background-color: white;
    width: 65%;
    height: 80%;
    padding: 2% 2%;
    margin: 5% auto; /* Centers the popup */
    border-radius: 8px;
    position: relative;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    overflow-y: auto; 
}

.modal-overlay .popupModal .info-with-images {
    flex-grow: 1;
    display: flex;
    gap: 16px;
    overflow: hidden;
}

.modal-overlay .popupModal .secondary-header{
    /* border: 1px solid red; */
    margin-top:22px;
    margin-bottom: 2px;
    font-size: 2rem;
    font-weight: 700;
    padding: 8px;
}

.modal-overlay .popupModal .info-with-images .main-info {
    height: 100%;
    width: 58%;
    display: flex;
    flex-direction: column;
    padding: 10px;
    overflow: auto;
}

.modal-overlay .popupModal .info-with-images .why-info {
    font-size: 1.3rem;
    font-weight: 300;
    line-height: 1.6;
    font-style: italic;    
}

.modal-overlay .popupModal .info-with-images .image {
    width: 42%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    flex: 1;
    text-align: right;
}

.modal-overlay .popupModal .info-with-images .image img {
    max-width: 100%;
    height: auto;
    object-fit: cover;
}

.modal-overlay .popupModal .info-with-images .sub-header{
    margin-bottom: 14px;
    font-weight: 600;
    font-size: 1.4rem;
    color: #4472C4;
}


.blue{
    color: #4472C4 !important;
}
.red{
    color: #C01511 !important;
}

.back {
    position: absolute;
    top: 10px;
    left: 10px;
    transform: scale(0.6);
    cursor: pointer;
    z-index: 2;
    pointer-events: all;
}
.back:hover{
    transform: scale(0.7);
}



/* Media Queries */
@media only screen and (min-width : 320px) and (max-width : 480px) {/*--- Mobile portrait ---*/}
@media only screen and (min-width : 480px) and (max-width : 595px) {/*--- Mobile landscape ---*/}
@media only screen and (min-width : 595px) and (max-width : 690px) {/*--- Small tablet portrait ---*/}
@media only screen and (min-width : 690px) and (max-width : 800px) {/*--- Tablet portrait ---*/}
@media only screen and (min-width : 800px) and (max-width : 1024px) {/*--- Small tablet landscape ---*/}
@media only screen and (min-width : 1024px) and (max-width : 1224px) {/*--- Tablet landscape --- */}

@media only screen and (max-width : 800px) {
    .info-with-images {
        flex-direction: column;
        /* padding: 12px; */
    }
    
    .info-with-images .why-info {
        width: 100% ;
    }
    
    .info-with-images .image {
        display: none;
    }

    .popup .popup-content .img{
        display: none;
    }
    
    .popup .popup-content .form{
        width: 100%;
    }

    
    .modal-overlay .popupModal .info-with-images .main-info {
        width: 100% !important;
    }
    
    .modal-overlay .popupModal .info-with-images .image {
        display: none !important;
    }
    
}
